osg::Program::ActiveVarInfo Struct Reference

`#include <Program>`

## Public Member Functions

| ActiveVarInfo ()
| ActiveVarInfo (GLint loc, GLenum type, GLint size)

## Public Attributes

GLint | _location
GLenum | _type
GLint | _size

## Constructor & Destructor Documentation

## ActiveVarInfo() [1/2]

osg::Program::ActiveVarInfo::ActiveVarInfo | ( |  | ) |

inline

References _location, _size, and _type.

## ActiveVarInfo() [2/2]

osg::Program::ActiveVarInfo::ActiveVarInfo | ( | GLint | loc,
|  | GLenum | type,
|  | GLint | size )

inline

References _location, _size, and _type.

## Member Data Documentation

## _location

GLint osg::Program::ActiveVarInfo::_location

Referenced by ActiveVarInfo(), and ActiveVarInfo().

## _size

GLint osg::Program::ActiveVarInfo::_size

Referenced by ActiveVarInfo(), and ActiveVarInfo().

## _type

GLenum osg::Program::ActiveVarInfo::_type

Referenced by ActiveVarInfo(), and ActiveVarInfo().

The documentation for this struct was generated from the following file:

- osg/Program